Skip to content

Internet

All operations require authentication, except the 2 marked Public.

2 operationsv1/xdsl/incidents
Agent setup

List the xDSL incidentsProductionPublic

GET
/1.0/xdsl/incidents

Returns the IDs of the incidents impacting xDSL accesses. Filter on the creation and end dates.

Query parameters

creationDate
stringdate-time

Filter the value of creationDate property (>)

endDate
stringdate-time

Filter the value of endDate property (<)

Response

200integer[]successful operation

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/incidents
ResponseExample
[ 0]

Get an xDSL incidentProductionPublic

GET
/1.0/xdsl/incidents/{id}

Returns an incident with its estimated start and end dates, impacted operators, NRA and departments, and comment.

Path parameters

id
required
integer

Id

Response

200Incidentsuccessful operation
comment
read-only
string
—
creationDate
read-only
stringdate-time

Estimated start date

departments
read-only
string[]

Department list

endDate
read-only
stringdate-time

Estimated end date

id
read-only
integer

ID of the incident

nra
read-only
string[]

NRA list

operators
read-only
OperatorTypeEnum[]

Operator

Valuesbouyguescollectkosc
taskId
read-only
integer

Task ID on travaux.ovh.com

taskReference
read-only
string
—

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/incidents/{id}
ResponseExample
{ "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "departments": [ "string" ], "endDate": "2024-01-01T12:00:00Z", "id": 0, "nra": [ "string" ], "operators": [ "bouygues" ], "taskId": 0, "taskReference": "string"}